<config>
<global>
cd /usr/share/burg-manager/
bash global
bash listaos >> ~/.burg-manager/os
sed -i '/./!d' ~/.burg-manager/os
</global>
<label> echo "BURG-Manager v 0.2.3 - IngAlex & Canopus0003 & Tux10" </label>
<img src="/usr/share/burg-manager/images/logo.png" align="center" /> 


<tab title ="Burg-telept">
<hlayout>
<label>echo " "</label>
<label>
echo "B U R G - T E L E P  T "
</label>
<label>echo " "</label>
</hlayout>
<img src="/usr/share/burg-manager/images/install.png" align="center" />
<hlayout>
<label>echo " "</label>
<label>echo "Adja meg melyik merevlemezre szeretn telepteni a BURG-ot. (alaprtelmezett: sda)"</label>
<label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label>
<combobox var="disk" height="35">
mount | grep ^/dev | cut -d' ' -f1 | sed "s/[0-9]//g" | uniq > ~/.burg-manager/lol
cat ~/.burg-manager/lol
</combobox>
<button title="burg teleptse" height="35">
xterm -e "sudo add-apt-repository ppa:bean123ch/burg && sudo apt-get update && sudo apt-get install burg burg-themes burg-emu && sudo burg-install /dev/$disk && sudo update-burg"
</button>
<label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label>
<label>
echo "Ide kattintva emullhatja a BURG-ot s kivlaszthatja a tmt. Hasznos billentyk: "T" tma vlts, "F" folding md" 
</label>
<label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label>
<button title="burg-emu" height="55">
xterm -e "sudo burg-emu"
</button>
<label>echo " "</label>
</hlayout>
</tab>


<tab title="Paramterek">
<hlayout>
<label>echo "Alaprtelmezett opercis rendszer:"</label>
<combobox>
cat ~/.burg-manager/os
</combobox>
<button title="Alkalmaz">
sudo rm -rf ~/.burg-manager/defaultos 
echo $operativesystem >  ~/.burg-manager/defaultos 
bash /usr/share/burg-manager/sceltaos
</button>
</hlayout>
<label align="center" > 
echo "__________________________________________________________________________________"
</label> 
<hlayout>
<vlayout>
<label>
echo "Vlassza ki a megfelel felbontst:"
</label>
<combobox var="risoluzione">
rm -rf ~/.burg-manager/risoluzioni1
xrandr > ~/.burg-manager/risoluzioni1
sed -i '/DFP/d' ~/.burg-manager/risoluzioni1
sed -i '/Screen/d' ~/.burg-manager/risoluzioni1
sed -i '/CRT/d' ~/.burg-manager/risoluzioni1
awk '{print $1}' ~/.burg-manager/risoluzioni1 > ~/.burg-manager/risoluzioni
cat ~/.burg-manager/risoluzioni
</combobox>
<button title="Felbonts belltsa" height="35">
xterm -e "sudo sed -i '/GRUB_GFXMODE/d' /etc/default/burg ; echo "GRUB_GFXMODE="$risoluzione | sudo tee -a /etc/default/burg"
</button>
</vlayout>
<label> 
echo "|"
echo "|"
echo "|"
echo "|"
echo "|"
echo "|"
echo "|"
echo "|"
</label>
<vlayout>
<label var="attuale">
tn=$(grep GRUB_TIMEOUT /etc/default/burg | tr -cd [:digit:])
echo "A vrakozsi id: $tn msodperc"
</label>
<text var="timeout">echo "10"</text>
<button title="Vrakozsi id belltsa" height="35">
xterm -e "sudo sed -i 's/GRUB_TIMEOUT=[0-9]*/GRUB_TIMEOUT=$timeout/g' /etc/default/burg"
</button>
</vlayout>
</hlayout>
<hlayout>
</hlayout>
<hlayout>
<label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label>
<img src="/usr/share/burg-manager/images/apply.png" align="left" /> 
<label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label><label>echo " "</label>label>echo " "</label>label>echo " "</label>
<button title="Vltozsok alkalmazsa" align="left" height="45">
xterm -e "sudo update-burg"
</button>
<label>echo " "</label><label>echo " "</label>label>echo " "</label>label>echo " "</label>
</hlayout>
</tab>


<tab title="Tma telept">
<label>echo "A tmk dupla kattintsra teleplnek"</label>
  <iconlist var="selezione" iconwidth="220" iconheight="120" mode="none">
<icon text="  A u t u m n" href="/usr/share/burg-manager/images/preview/autumn.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=autumn_burg_theme && tar xzf index.html?download=autumn_burg_theme && sudo rm -rf index.html?download=autumn_burg_theme && sudo mv autumn /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="  P i c c h i o" href="/usr/share/burg-manager/images/preview/picchio.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=picchio && tar xzf picchio.tar.gz && sudo rm -rf picchio.tar.gz && sudo mv picchio /boot/burg/themes/ && sudo update-burg" 
</ondoubleclick>
</icon>
<icon text="  G o l d e n s e a" href="/usr/share/burg-manager/images/preview/goldensea.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=goldensea_burg_theme && tar xzf index.html?download=goldensea_burg_theme && sudo rm -rf index.html?download=goldensea_burg_theme && sudo mv goldensea /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="  A b s t r a c t" href="/usr/share/burg-manager/images/preview/abstract.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=abstract_burg_theme && tar xzf index.html?download=abstract_burg_theme && sudo rm -rf index.html?download=abstract_burg_theme && sudo mv abstract /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon  text="  H o m e r" href="/usr/share/burg-manager/images/preview/homer.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=homer_burg_theme && tar xzf index.html?download=homer_burg_theme && sudo rm -rf index.html?download=homer_burg_theme && sudo mv homer /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon> 
<icon  text="  D a r k  S h i n e" href="/usr/share/burg-manager/images/preview/darkshine.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=dark_shine && tar xzf index.html?download=dark_shine && sudo rm -rf index.html?download=dark_shine && sudo mv dark_shine /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>  
<icon  text="  R a d i a n c e" href="/usr/share/burg-manager/images/preview/radiance.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=radiance && tar xzf 121105-radiance.tar.gz && sudo rm -rf 121105-radiance.tar.gz && sudo mv radiance /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon  text="  K u b u n t u" href="/usr/share/burg-manager/images/preview/orange.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=kubuntu_burg_theme && tar xzf index.html?download=kubuntu_burg_theme && sudo rm -rf index.html?download=kubuntu_burg_theme && sudo mv kubuntu /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon  text="  K u b u n t u B r a n d" href="/usr/share/burg-manager/images/preview/kubuntu_brand.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=kubuntu_brand_theme && tar xzf index.html?download=kubuntu_brand_theme && sudo rm -rf index.html?download=kubuntu_brand_theme && sudo mv kubuntu_brand /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon> 
<icon text="  U b u n t u B r a n d" href="/usr/share/burg-manager/images/preview/ubuntu_brand.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=ubuntu_brand_theme && tar xzf index.html?download=ubuntu_brand_theme && sudo rm -rf index.html?download=ubuntu_brand_theme && sudo mv ubuntu_brand /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="  G n o m e" href="/usr/share/burg-manager/images/preview/gnome1.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=GNOME_THEME && tar xzf Gnome\ burg.tar.gz && sudo rm -rf Gnome\ burg.tar.gz && sudo mv Gnome /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="  U b u n t u W a l l" href="/usr/share/burg-manager/images/preview/ubuntu_wall.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=ubuntu_wall && tar xzf ubuntu_wall.tar.gz && sudo rm -rf ubuntu_wall.tar.gz && sudo mv ubuntu_wall /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="  K u b u n t u W a l l " href="/usr/share/burg-manager/images/preview/kubuntu_wall.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=kubuntu_wall && tar xzf kubuntu_wall.tar.gz && sudo rm -rf kubuntu_wall.tar.gz && sudo mv kubuntu_wall /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="  V i t r u v i o" href="/usr/share/burg-manager/images/preview/vitruvio.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=vitruvio && tar xzf 124143-vitruvio.tar.gz && sudo rm -rf 124143-vitruvio.tar.gz && sudo mv vitruvio /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
<icon text="M i n i m a l" href="/usr/share/burg-manager/images/preview/minimal.png">
<ondoubleclick>
xterm -e  "wget http://www.sourceslist.eu/?download=minimal && unzip index.html?download=minimal && sudo rm -rf index.html?download=minimal && sudo mv Minimal /boot/burg/themes/ && sudo mv MinimalText /boot/burg/themes/ && sudo update-burg"
</ondoubleclick>
</icon>
</iconlist>
</tab>


<tab title="Burg eltvoltsa">
<hlayout>
<label>echo " "</label><label>echo " "</label>
<label>
echo "A Burg eltvoltsa s a Grub visszalltsa" 
</label>
<label>echo " "</label><label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label>
<img src="/usr/share/burg-manager/images/remove.png" />
<label>echo " "</label><label>echo " "</label><label>echo " "</label><label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label>
<button title="Burg eltvoltsa" height="45">
xterm -e "sudo apt-get remove --purge burg burg-themes burg-emu"
</button>
<label>echo " "</label>
</hlayout>
<hlayout>
<label>echo " "</label><label>echo " "</label>
<img src="/usr/share/burg-manager/images/restore.png" /> 
<label>echo " "</label><label>echo " "</label>
</hlayout>
<hlayout>
<label>
echo "Merevlemez kivlasztsa:" 
</label>
<combobox var="disk1" height="45">
mount | grep ^/dev | cut -d' ' -f1 | sed "s/[0-9]//g" | uniq > ~/.burg-manager/lol
cat ~/.burg-manager/lol
</combobox>
<button title="Grub visszalltsa" height="45">
xterm -e "sudo grub-install /dev/$disk1 && sudo update-grub"
zenity --info --title=Success --text='Terminato'
</button>
</hlayout>
</tab>

<tab title="Egyb Paramterek">
<hlayout>
<label>
echo "Az /etc/default/burg fjl kzvetlen szerkesztse"
</label>
<label>echo " "</label>
<button title="Fjl megnyitsa" height="15">
gedit /etc/default/burg || kate /etc/default/burg || leafpad /etc/default/burg
</button>
</hlayout>
<hlayout>
<label>echo "GRUB_DISABLE_LINUX_RECOVERY"</label>
<button title="Engedlyezve" height="15">
sed -i /GRUB_DISABLE_LINUX_RECOVERY/d /etc/default/burg && grubrecovery='GRUB_DISABLE_LINUX_RECOVERY="'true'"' && echo $grubrecovery > /etc/default/burg
</button>
<button title="Tiltva" height="15">
sed -i /GRUB_DISABLE_LINUX_RECOVERY/d /etc/default/burg
</button>
</hlayout>
<hlayout>
<label>echo "GRUB_CMDLINE_LINUX_DEFAULT"</label>
<text var="cmdline">ln=$(cd /usr/share/burg-manager && ./grub_cmdline) && echo "$ln"</text>
<button title="Vltoztats" height="15">
sed -i /GRUB_CMDLINE_LINUX_DEFAULT/d /etc/default/burg && gdefault='GRUB_CMDLINE_LINUX_DEFAULT="'$cmdline'"' &&  echo $gdefault >> /etc/default/burg
</button>
</hlayout>
<hlayout>
<label>echo "GRUB_SAVEDEFAULT"</label>
<button title="Engedlyezve" height="15">
//grubsd='GRUB_SAVEDEFAULT="'true'"' 
//echo $grubsd >> /etc/default/burg
xterm -e "sudo sed -i 's/GRUB_SAVEDEFAULT=[a-z]*/GRUB_SAVEDEFAULT=true/g;s/^#GRUB_SAVE/GRUB_SAVE/g' /etc/default/burg"
</button>
<button title="Tiltva" height="15">
//sed -i /GRUB_SAVEDEFAULT/d /etc/default/burg
xterm -e "sudo sed -i 's/GRUB_SAVEDEFAULT=[a-z]*/GRUB_SAVEDEFAULT=false/g;s/^#GRUB_SAVE/GRUB_SAVE/g' /etc/default/burg"
</button>
</hlayout>
<hlayout>
<label>echo "GRUB_LINUX16"</label>
<button title="Engedlyezve" height="15">
grublinux='GRUB_LINUX16="'true'"' 
echo $grublinux >> /etc/default/burg
</button>
<button title="Tiltva" height="15">
sed -i /GRUB_LINUX16/d /etc/default/burg
</button>
</hlayout>
<hlayout>
<label>echo "GRUB_DISABLE_LINUX_UUID"</label>
<button title="Engedlyezve" height="15">
grubuuid='GRUB_DISABLE_LINUX_UUID="'true'"' 
echo $grubuuid >> /etc/default/burg
</button>
<button title="Tiltva" height="15">
sed -i /GRUB_DISABLE_LINUX_UUID/d /etc/default/burg
</button>
</hlayout>
<hlayout>
<label>echo "GRUB_FOLD"</label>
<button title="Engedlyezve" height="15">
grubfoldt='GRUB_FOLD="true'"' 
echo $grubfoldt >> /etc/default/burg
</button>
<button title="Tiltva" height="15">
sed -i /GRUB_FOLD/d /etc/default/burg
</button>
<button title="Mentett" height="15">
grufolds='GRUB_FOLD="'saved'"' 
echo $grubfolds >> /etc/default/burg
</button>

</hlayout>
<label>echo "Ahhoz, hogy a BURG-ot jelszval vdhesse meg kell adnia egy felhasznlnevet: "</label>
<hlayout>
<text var="utente">echo "felhasznlnv"</text>
<button title="Add" height="15">xterm -e "sudo burg-adduser $utente"</button>
<button title="Remove" height="15">xterm -e "sudo burg-deluser $utente"</button>
</hlayout>
<label>echo "Ahhoz, hogy a BURG-ot jelszval vdhesse meg kell adnia egy felhasznlnevet:"</label>
<hlayout>
<text var="admin">echo "admin"</text>
<button title="Add" height="15">xterm -e "sudo burg-adduser --super $admin"</button>
<button title="Remove" height="15">xterm -e "sudo burg-deluser $admin"</button>
</hlayout>

</tab>

<tab title="Informci">
<scrolllayout><label>
echo  ______
echo "| INFORMCI |"
echo " --------"
echo
echo A projekt honlapja: http://www.sourceslist.eu
echo
echo Burg-Manager a BUC projekten alapul.
echo
echo A nyelvekhez tartoz zszlk antibakteriell munki
echo "(http://antibakteriell.deviantart.com/art/Flag-Icons-FIFA-WC-2010-167149016?q=1&qo=1)" 
echo s a Creative Commons Attribution 3.0 License alatt lettek kiadva
echo http://creativecommons.org/licenses/by/3.0/
echo
echo "FEJLESZTK"
echo
echo "Alessandro Lanave <alessandro.lanave@gmail.com>"
echo "Giuseppe Diaferia <canopus0003@gmail.com>"
echo "Antonio Zagaria <antoniozagaria89@gmail.com>"
echo "Brazil & Portugl fordts - Filipo Tardim <filipotardim@gmail.com>"
echo "Francia fordts - Stephane Robert <ns.robert@gmail.com> (www.webdevonlinux.fr)"
echo "Holland fordts - Dennis Van der Meer <dennis@dvdmeer.nl>"
echo "Indonz fordts - Ibrahim Surya Perkasa <mindscrewer06@yahoo.com>"
echo "Lengyel fordts - Piotr Boruta <abcubuntu@gmail.com> (www.abcubuntu.com)"
echo "Nmet fordts - Janek Bettinger <321tux@arcor.de> (www.321tux.de)"
echo "Magyar fordts - Richard Somli <level@somloirichard.hu> (www.somloirichard.hu)"
echo "Spanyol fordts - Bernardo Miguel Savone <bmsavone@gmail.com>"
echo "Svd fordts - Robert Blomqvist <robbe81@gmail.com>"
echo "Romn fordts - Marius Bob <znupii@znupii.ro> (www.znupii.ro)"
echo
</label></scrolllayout>
</tab>



<hlayout>
<button title="LICENCE">
buc /usr/share/burg-manager/license.mc &
</button>
<button title="BURG-MANAGER WEBOLDAL">
zenity --info --title="buc" --text="http://www.sourceslist.eu"
</button>
<button title="BURG WEBOLDAL">
zenity --info --title="buc" --text="http://code.google.com/p/burg/"
</button>
<button title="BUC WEBOLDAL">
zenity --info --title="buc" --text="http://buc.opensource.tk"
</button>
<button title="SICILINUX WEBOLDAL">
zenity --info --title="buc" --text="http://www.sicilinux.org"
</button>
<label> echo " " </label><label> echo " " </label><label> echo " " </label><label> echo " " </label><label> echo " " </label>
</hlayout>
</config>

